Skip to main content
PATCH
/
barberServices
/
{barberServiceId}
Update a barber service
curl --request PATCH \
  --url https://api.guile.app/barberServices/{barberServiceId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "visibility": "visible",
  "cost": "45.00",
  "availableForOffHours": true
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "barber": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "givenName": "<string>",
    "surname": "<string>",
    "preferredName": "<string>"
  },
  "service": {
    "name": "Skin Fade",
    "visibility": "visible",
    "bundledAddOns": [
      {
        "id": "service-123",
        "name": "Beard Trim"
      }
    ],
    "categories": [
      {
        "id": "afada02b-e9fe",
        "name": "Shaving"
      }
    ],
    "description": "Expertly transitioned fade with optional designs on the side.",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "duration": "PT30M",
    "cost": "45.00",
    "ageRestrictions": {
      "min": 18,
      "max": 100
    }
  },
  "visibility": "visible",
  "availableForOffHours": false,
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "cost": "45.00"
}

Path Parameters

barberServiceId
string<uuid>
required

The unique, opaque system identifier for a resource. This case-sensitive ID is also used as path parameters in URLs or in other properties or parameters that reference a resource by ID rather than URL.

Body

application/json

Representation used to patch a barber service using the JSON Merge Patch format and processing rules.

Only visibility, price, and off-hours availability can be modified at the barber level. Other service properties must be updated at the shop service level.

visibility
enum<string>

The visibility of the service. Hidden services are not visible to customers.

Available options:
visible,
hidden
cost
string<decimal>

The barber-specific cost override for the service, excluding any fees or taxes.

Pattern: ^(0|[1-9][0-9]*)\.[0-9][0-9]$
Example:

"45.00"

availableForOffHours
boolean

Whether this service is available for off-hours bookings. When false, the service cannot be booked during off-hours time slots.

Response

Ok. The operation succeeded.

Representation of a service assigned to a barber.

id
string<uuid>
required

The unique identifier for this barber service assignment.

barber
object
required

The barber this service is assigned to.

service
object
required

The service that is assigned to the barber.

visibility
enum<string>
required

The visibility of the service for this barber. Hidden services are not visible to customers.

Available options:
visible,
hidden
availableForOffHours
boolean
default:false
required

Whether this service is available for off-hours bookings. When false, the service cannot be booked during off-hours time slots.

createdAt
string<date-time>
required

The date-time when this resource was created, in RFC 3339 date-time YYYY-MM-DDThh:mm:ss.sssZ format, UTC. This is derived and immutable.

updatedAt
string<date-time>
required

The date-time when this resource was updated, in RFC 3339 date-time YYYY-MM-DDThh:mm:ss.sssZ format, UTC. This is derived and immutable.

cost
string<decimal>

The barber-specific cost override for the service, excluding any fees or taxes.

Pattern: ^(0|[1-9][0-9]*)\.[0-9][0-9]$
Example:

"45.00"